Records
Create Record
Creates a new record in a table.
POST
/
bases
/
{databaseId}
/
tables
/
{tableId}
/
records
Create record
curl --request POST \
--url https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record": {
"Name": "John Doe",
"Email": "john@example.com",
"Priority": "high"
}
}
'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records"
payload = { "record": {
"Name": "John Doe",
"Email": "john@example.com",
"Priority": "high"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({record: {Name: 'John Doe', Email: 'john@example.com', Priority: 'high'}})
};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'record' => [
'Name' => 'John Doe',
'Email' => 'john@example.com',
'Priority' => 'high'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records"
payload := strings.NewReader("{\n \"record\": {\n \"Name\": \"John Doe\",\n \"Email\": \"john@example.com\",\n \"Priority\": \"high\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"record\": {\n \"Name\": \"John Doe\",\n \"Email\": \"john@example.com\",\n \"Priority\": \"high\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"record\": {\n \"Name\": \"John Doe\",\n \"Email\": \"john@example.com\",\n \"Priority\": \"high\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"fwtJyga6dso": "John Doe",
"k8mNp2xQ9rL": "john.doe@newcompany.com",
"vB3zXc7Hf2w": "low"
},
"fields": {
"Name": "John Doe",
"Email": "john.doe@newcompany.com",
"Priority": "low"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachmentErrors": [
{
"fieldId": "<string>",
"fieldName": "<string>",
"url": "<string>",
"error": "<string>",
"recordIndexes": [
123
]
}
],
"attachmentErrorsTruncated": true
}Use field names or field IDs as keys and field values as data (e.g.,
"Email": "user@example.com" or "fwtJyga6dso": "user@example.com")"strict": true to reject those values instead.
If an attachment URL can’t be stored, the record is still written without it, and the response lists the failure in attachmentErrors.Path Parameters
Body
application/json
Response
Record created successfully
⌘I
Create record
curl --request POST \
--url https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record": {
"Name": "John Doe",
"Email": "john@example.com",
"Priority": "high"
}
}
'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records"
payload = { "record": {
"Name": "John Doe",
"Email": "john@example.com",
"Priority": "high"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({record: {Name: 'John Doe', Email: 'john@example.com', Priority: 'high'}})
};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'record' => [
'Name' => 'John Doe',
'Email' => 'john@example.com',
'Priority' => 'high'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records"
payload := strings.NewReader("{\n \"record\": {\n \"Name\": \"John Doe\",\n \"Email\": \"john@example.com\",\n \"Priority\": \"high\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"record\": {\n \"Name\": \"John Doe\",\n \"Email\": \"john@example.com\",\n \"Priority\": \"high\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"record\": {\n \"Name\": \"John Doe\",\n \"Email\": \"john@example.com\",\n \"Priority\": \"high\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"fwtJyga6dso": "John Doe",
"k8mNp2xQ9rL": "john.doe@newcompany.com",
"vB3zXc7Hf2w": "low"
},
"fields": {
"Name": "John Doe",
"Email": "john.doe@newcompany.com",
"Priority": "low"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachmentErrors": [
{
"fieldId": "<string>",
"fieldName": "<string>",
"url": "<string>",
"error": "<string>",
"recordIndexes": [
123
]
}
],
"attachmentErrorsTruncated": true
}